import HackMDCommand from '../../command';
export default class IndexCommand extends HackMDCommand {
    static description: string;
    static examples: string[];
    static flags: {
        columns: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        sort: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        filter: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        csv: import("@oclif/core/lib/interfaces").Flag<boolean>;
        output: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        extended: import("@oclif/core/lib/interfaces").Flag<boolean>;
        'no-truncate': import("@oclif/core/lib/interfaces").Flag<boolean>;
        'no-header': import("@oclif/core/lib/interfaces").Flag<boolean>;
        help: import("@oclif/core/lib/interfaces").BooleanFlag<void>;
        noteId: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
    };
    run(): Promise<void>;
}
