"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.editor = exports.commentPermission = exports.notePermission = exports.noteTitle = exports.noteContent = exports.teamPath = exports.noteId = void 0;
const core_1 = require("@oclif/core");
exports.noteId = core_1.Flags.string({
    description: 'HackMD note id',
});
exports.teamPath = core_1.Flags.string({
    description: 'HackMD team path',
});
exports.noteContent = core_1.Flags.string({
    description: 'new note content',
});
exports.noteTitle = core_1.Flags.string({
    description: 'new note title',
});
exports.notePermission = core_1.Flags.string({
    description: 'set note permission: owner, signed_in, guest',
});
exports.commentPermission = core_1.Flags.string({
    description: 'set comment permission: disabled, forbidden, owners, signed_in_users, everyone',
});
exports.editor = core_1.Flags.boolean({
    char: 'e',
    description: 'create note with $EDITOR',
});
